<%inherit file="../base.mako"/>
<%def name="title()">State of the Redirector</%def>

<%def name="urllist_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />

${box_start(_(u"Add URL List to db"))}
${h.form_start(h.url_for(controller='urllist', action='create'), method="post")}
 ${h.field(_(u"URLListName"), h.text(name='URLListName'), required=True)}
 ${h.field(_(u"URLListComment"), h.text(name='URLListComment'), required=False)}
 <br>
 ${h.field(_(u"URLsText"), h.textarea(name='URLsText', rows=10, cols=40), required=True)}
 ${h.field(field=h.submit(value=_(u"Create URL-List"), name='submit'))}
${h.form_end()}
${box_end()}

${box_start(_(u"Upload URLList"))}
${h.form_start(h.url_for(controller='urllist', action='upload'), multipart=True, method="post")}
 ${h.field(_(u"URLListName"), h.text(name='URLListUploadName'), required=True)}
 ${h.field(_(u"URLListComment"), h.text(name='URLListUploadComment'), required=False)}
 ${h.field(_(u"UrlList:"),h.file('URLListFile'), required=True)}
 ${h.field(field=h.submit(value=_(u"Upload File"), name='submit_file'))}
${h.form_end()}
${box_end()}

${box_start(_(u"URLLists from db"))}
<ul>
%for ul in c.urllists:
    <li>
     ${h.link_to(ul.name, h.url_for(controller='urllist',action='view',id=ul.id))} ${_(u"with")} ${str(len(ul.urls))} ${_(u"URLs")}.</li>
%endfor
</ul>
${box_end()}

