<%inherit file="../base.mako"/>
<%def name="title()">Scans</%def>

<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />

${box_start(_(u"List of Scans"))}
<table>
  <tr><th>${_(u"Name")}</th><th>${_(u"URL List")}</tr>
%for sc in c.scanconfigurations:
  <tr><td>${h.link_to(sc.name, h.url_for(controller='scan',action='view',id=sc.id))}</td>
      <td>(
      %for urllist in sc.urlcollection:
        ${_(u"%s - %d URLs," % (urllist.name, len(urllist.urls)))}
      %endfor
      )
      %if sc.name == c.current_scan_name:
        [Running - ${h.link_to(_(u"Stop Scan"), h.url_for(controller='scan',action='stop'))} ]
      %endif
      </td></tr>
%endfor
</table>
${box_end()}

${box_start(_(u"New Scan"))}
${h.link_to(_(u'New Scan'), h.url_for(controller='scan', action='create'))}
${box_end()}

${box_start(_(u"Quick Single Scan"))}
${h.form(h.url_for(controller='scan', action='quickscan'), method="post")}

<table>
<tr>
  <td>${_(u"Enter URL")}</td>
  <td>${h.text(name="quickurl", id="quickurl")}</td>
</tr>
<tr>
  <td>${_(u"Select Browser System")}</td>
  <td>${h.select('vm', selected_values=[],
                 options=sorted(c.available_vms, key=lambda x: x[1],
                 cmp=lambda x,y: cmp(x.lower(), y.lower())),
                 multiple=False,
                 size=1)}
  </td>
<tr><td></td>
  <td>${h.submit(name="quickbutton",value=_(u"Start Quick Scan"))}</td></tr>
</table>
${h.form_end()}
${box_end()}

